Subject: [DMVR] (no subject)

From: [email-masked]
Date: Mon, 15 Dec 2003 14:18:28 +0000

A few of us were discussing some Des Moines drivers who have great talent and 
have driven in some of the premier series. However, most of them have faded out 
of the series due to lack of sponsorship (Chuck Hemmingson excepted).
One of those drivers we discussed is Chris Menninga. Well, I saw Chris on 
Sunday and he tells me that he is doing a test in the near future at Daytona 
with an ARCA team. I'll let you know if I hear the results.

--
Jack Kish